---

# Task to Update local config context in NetBox

- name: Update config context of a device in NetBox
  netbox.netbox.netbox_device:
    netbox_url: "{{ netbox_url }}"
    netbox_token: "{{ netbox_token }}"
    data:
      name: "lab-dc-sim-ct"
      local_context_data:
        "{{ {awx_webhook_payload.data.name: json_output} }}"
    state: present
    validate_certs: False
  when: fail_condition
